#include <MP3Trigger.h>

// pin assignments
int ledPin = 12;
int hoornPin = 7;

// value store
int hoorn = 0;
int numTracks = 0;
int oldvalue = 1;

// trigger object

MP3Trigger trigger;

void setup()
{
  delay(3000);
  // start serial port at 9600 bps:
  //Serial.begin(9600);
  pinMode(hoornPin, INPUT);
  pinMode(ledPin, OUTPUT); 
  trigger.setup();
  
  numTracks = trigger.getNumTracks();
  //trigger.trigger(1);
}

void loop()
{
  trigger.update();
  hoorn = digitalRead(hoornPin);
  
  
//  if(hoorn == HIGH) {
//    digitalWrite(ledPin, HIGH);
//    Serial.print("h");
//  } else {
//     digitalWrite(ledPin, LOW);
//     Serial.print("l");
//   }
//  
int startTrack = random(1, numTracks+1);
    
if(hoorn != oldvalue){
  if (hoorn == HIGH) {
    trigger.play(startTrack);
  }
  else {
   trigger.stop();
  }
}
  
  
  oldvalue = hoorn;
  
  delay(500);
 
}
